// import React from 'react'
import {
    Col, Flex, Row,
    //  Select, 
    Button, Form, Input,
    DatePicker,
    Select,
    InputNumber,
    Modal
} from "antd";
// import type { InputNumberProps } from 'antd';
import locale from 'antd/es/date-picker/locale/zh_CN';
import './EditModal.css'
import { useState } from "react";
const dateFormat = 'YYYY年MM月DD日';
const { TextArea } = Input;
export default function EditModal(props: any) {
    const [form] = Form.useForm();
    const [promptModal, setPromptModal] = useState(false)
    return (
        <div className='editModal'>
            <div className='editModal-title'>
                <div className='editModal-title-box'></div>
                <div className='editModal-title-name'>软著信息</div>
            </div>
            <div className="form-body" style={{ marginTop: 39 }}>
                <Form
                    name="basic"
                    form={form}
                    layout="vertical"
                    labelCol={{ span: 8 }}
                    wrapperCol={{ span: 24 }}
                    // style={{ width: '600px' }}
                    onFinish={() => {
                        setPromptModal(true);
                    }}
                    autoComplete="off"
                >
                    <Row gutter={15}>

                        <Col span={12}>

                            <Form.Item
                                label="软著名称"
                                name="name"
                                rules={[{ required: true, message: '请输入软著名称' }]}
                            >
                                <Input
                                    style={{ height: '60px', width: '498px' }} placeholder="请输入软著名称"
                                />
                            </Form.Item>

                        </Col>
                        <Col span={12}>
                            <Form.Item
                                label="软著图片"
                                name=""
                                rules={[{ required: true, message: '请上传软著图片' }]}
                            >
                                <div className="editModal-img-box">

                                </div>
                            </Form.Item>

                        </Col>



                    </Row>
                    <div style={{ display: 'flex' }}>
                        <div>
                            <Row gutter={15}>
                                <Col span={12}>

                                    <Form.Item
                                        label="软著简称"
                                        name="smallname"
                                        rules={[{ required: true, message: '请输入软著简称' }]}
                                    >
                                        <Input
                                            style={{ height: '60px', width: '498px' }}
                                            placeholder="请输入软著简称"
                                        />
                                    </Form.Item>

                                </Col>

                            </Row>
                            <Row gutter={15}>
                                <Col span={12}>
                                    <Form.Item
                                        label="软著证号"
                                        name="number"
                                        rules={[{ required: true, message: '请输入软著证号' }]}
                                    >
                                        <Input
                                            style={{ height: '60px', width: '498px' }}
                                            placeholder="请输入软著证号"
                                        />
                                    </Form.Item>

                                </Col>

                            </Row>
                        </div>
                        <div style={{ marginLeft: 30 }}>
                            <Row gutter={15}>
                                <Col span={12}>
                                    <Form.Item
                                        label="软著说明"
                                        name="textArea"
                                        rules={[{ required: true, message: '请输入软著说明' }]}
                                    >
                                        <TextArea
                                            style={{ resize: 'none', width: "995px", height: '174px' }}
                                            placeholder="请输入软著说明请输入软著说明请输入软著说明"
                                        />
                                    </Form.Item>

                                </Col>

                            </Row>
                        </div>

                    </div>
                    <Row gutter={15}>

                        <Col span={12}>

                            <Form.Item
                                label="软著版本"
                                name="sv"
                                rules={[{ required: true, message: '请输入软著版本' }]}
                            >
                                <Input
                                    style={{ height: '60px', width: '498px' }} placeholder="请输入软著版本"
                                />
                            </Form.Item>

                        </Col>
                        <Col span={12}>
                            <Form.Item
                                label="取得时间"
                                name="time"
                                rules={[{ required: true, message: '请选择取得时间' }]}
                            >
                                <DatePicker placeholder="请选择开发完成日期"
                                    format={dateFormat}
                                    locale={locale}
                                    // style={{ width: '100%' }}
                                    style={{ height: '60px', width: '498px' }}

                                />
                            </Form.Item>

                        </Col>



                    </Row>
                    <Row gutter={15}>

                        <Col span={12}>

                            <Form.Item
                                label="开发语言"
                                name="java"
                                rules={[{ required: true, message: '请选择开发语言' }]}
                            >
                                {/* <Input
                                    style={{ height: '60px', width: '498px', fontSize: '16px' }} placeholder="请选择开发语言"
                                /> */}
                                <Select
                                    // defaultValue="lucy"
                                    placeholder='请选择软著类型'
                                    style={{ width: 498, height: 60 }}
                                    options={[
                                        { value: 'java', label: 'java' },
                                        { value: 'php', label: 'php' },
                                    ]}
                                />
                            </Form.Item>

                        </Col>
                        <Col span={12}>
                            <Form.Item
                                label="取得方式"
                                name="use"
                                rules={[{ required: true, message: '请选择取得方式' }]}
                            >
                                <Select
                                    // defaultValue="lucy"
                                    placeholder='请选择取得方式'
                                    style={{ width: 498, height: 60 }}
                                    options={[
                                        { value: '1', label: '跟别人抢的' },
                                        { value: '2', label: '路上捡的' },
                                    ]}
                                />
                            </Form.Item>

                        </Col>
                    </Row>
                    <Row gutter={15}>

                        <Col span={12}>

                            <Form.Item
                                label="软著分类"
                                name="class"
                                rules={[{ required: true, message: '请选择软著分类' }]}
                            >

                                <Select
                                    mode="multiple"
                                    placeholder="请选择软著类型"
                                    style={{ width: 498, height: 60 }}
                                    options={[
                                        { value: '嘻嘻', label: '嘻嘻' },
                                        { value: '呵呵', label: '呵呵' },
                                        { value: '哈哈', label: '哈哈' },
                                        { value: '哥哥', label: '哥哥' },
                                        { value: '弟弟', label: '弟弟' },
                                        { value: '妹妹', label: '妹妹' },
                                    ]}
                                />
                            </Form.Item>

                        </Col>
                        <Col span={12}>
                            <Form.Item
                                label="售卖价格"
                                name="price"
                                rules={[{ required: true, message: '请输入正确的售卖价格' }]}
                            >
                                {/* <Input
                                    style={{ height: '60px', width: '498px', fontSize: '16px' }} placeholder="请输入售卖价格"

                                /> */}
                                <InputNumber min={0} style={{ height: '60px', width: '498px', display: 'flex', alignItems: 'center' }} placeholder="请输入售卖价格" />
                            </Form.Item>

                        </Col>
                    </Row>
                    <Row gutter={15}>

                        <Col span={12}>
                            <Form.Item
                                label="截止售卖日期"
                                name="time2"
                                rules={[{ required: true, message: '请选择截止售卖日期' }]}
                            >
                                <DatePicker placeholder="请选择截止售卖日期"
                                    format={dateFormat}
                                    locale={locale}
                                    // style={{ width: '100%' }}
                                    style={{ height: '60px', width: '498px' }}

                                />
                            </Form.Item>

                        </Col>



                    </Row>
                    <div className='editModal-title' style={{ marginTop: 30 }}>
                        <div className='editModal-title-box'></div>
                        <div className='editModal-title-name'>软著信息</div>
                    </div>

                    <div className='setProBtn'>
                        <Form.Item wrapperCol={{ span: 24 }}>
                            <Flex align="center" justify="center" gap="large">
                                <Button type="default" htmlType="button"
                                    // style={{ width: '262px', height: '58px', fontSize: '16px', color: '#4B4B4B', background: '#EEEEEE' }}
                                    size='large'
                                    onClick={() => {
                                        props.closeModal()
                                    }}>
                                    关闭
                                </Button>
                                <Button type="primary"
                                    htmlType="submit"
                                    // style={{ width: '262px', height: '58px', fontSize: '16px', color: '#FDFDF2', backgroundColor: 'var(--color-primary)' }}
                                    size='large'
                                >
                                    保存
                                </Button>

                            </Flex>
                        </Form.Item>
                    </div>
                </Form>
            </div>
            <Modal title="提示"
                okText="确定"
                cancelText="取消"
                destroyOnClose={true}
                open={promptModal}
                onOk={() => {
                  
                }}
                onCancel={() => {
                    setPromptModal(false);
                }}>
                <div>确定提交吗？</div>
            </Modal>
        </div>
    )
}
